
Redmine - Defect #6866

Log Time Links broken after upgrade from 0.8.6 -> 1.0.3

2010-11-11 16:18 - Karl Baase

Status: Closed Start date: 2010-11-11

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Time tracking Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 1.0.3

Description

Database MySQL 5.1.42-community on Windows

Output ruby script/about

About your application's environment

Ruby version              1.8.6 (i386-mingw32)

RubyGems version          1.3.7

Rack version              1.0

Rails version             2.3.5

Active Record version     2.3.5

Active Resource version   2.3.5

Action Mailer version     2.3.5

Active Support version    2.3.5

Application root          D:/wwwroot/RailsTest/MyApp

Environment               development

Database adapter          mysql

Database schema version   20100819172912

 Redmine Version 1.0.3 running as mongrel_serivce on Windows 2008

Problem

When viewing an issue and clicking the "Log time" one is redirected to a 404 Page (The page you were trying to access doesn't exist

or has been removed).

Logfile tells me:

Processing IssuesController#show (for 192.168.200.109 at 2010-11-11 16:18:18) [GET]

  Parameters: {"action"=>"show", "id"=>"2493", "controller"=>"issues"}

Rendering template within layouts/base

Rendering issues/show.rhtml

Completed in 492ms (View: 437, DB: 19) | 200 OK [http://172.20.1.112/issues/2493]

Processing TimelogController#edit (for 192.168.200.109 at 2010-11-11 16:18:59) [GET]

  Parameters: {"action"=>"edit", "id"=>"2493", "issue_id"=>"2493", "controller"=>"timelog"}

Rendering template within layouts/base

Rendering common/404 (404)

Filter chain halted as [:find_project] rendered_or_redirected.

Completed in 37ms (View: 33, DB: 0) | 404 Not Found [http://172.20.1.112/time_entries/2493/edit?is

sue_id=2493]

http://172.20.1.112:4004/time_entries/2493/edit?issue_id=2493

 This is not clean installation, I did a migration from 0.8.6 according to Redmine Upgrade guide lines. All works fine expect this

feature.

When I update an issue I am able to log times within the Update Issue form.

When I compare the links generate in the redmine demo system and my installations there is a difference.

http://172.20.1.112/time_entries/2493/edit?issue_id=2493

http://demo.redmine.org/issues/37066/time_entries/new
http://172.20.1.112/time_entries/2493/edit?issue_id=2493
thx in advance.

History

#1 - 2010-11-13 10:16 - Felix Schäfer

Do you have an old plugin installed that overrides the view you are having the error with?

#2 - 2010-11-15 08:50 - Karl Baase

Coming from the old installation I did have as plugins installed

open_flash_chart - 2.0.0

coderay - 0.7.4

redmine_bugcloud - 0.0.2.1

redmine-graphs-plugin

redmine_hoptoad_server  

redmine-scrumdashboard-plugin

 In the first approach I copied the installed plugins to the new 1.0.3 installation folder, did run migration process and got this error.

I did retry with a freh redmine folder, without plugins and the database backup but the error did remain.

I am not sure if any of these plugins mess around with this view.

#3 - 2010-11-16 10:33 - Karl Baase

When I do a clean installation the Log Time links work.

#4 - 2010-11-16 11:16 - Felix Schäfer

The discrepancy between the demo and your installation is because demo is on trunk.

Have a look at your log log/production.log to see the trace of the error and please post it here.

#5 - 2010-11-16 11:31 - Karl Baase

log/production.log from login to a Log Time action with log_level = :debug

Processing TimelogController#edit (for 192.168.200.109 at 2010-11-16 11:36:37) [GET]

  Parameters: {"action"=>"edit", "id"=>"2830", "issue_id"=>"2830", "controller"=>"timelog"}

  [4;35;1mSQL (0.0ms)[0m   [0mSELECT max(`settings`.updated_on) AS max_updated_on FROM `settings` [0m

  [4;36;1mUser Load (0.0ms)[0m   [0;1mSELECT * FROM `users` WHERE (`users`.`id` = 11) AND (users.status = 1) A

ND ( (`users`.`type` = 'User' OR `users`.`type` = 'AnonymousUser' ) ) [0m

  [4;35;1mTimeEntry Load (0.0ms)[0m   [0mSELECT * FROM `time_entries` WHERE (`time_entries`.`id` = 2830) [0m

Rendering template within layouts/base

Rendering common/404 (404)

  [4;36;1mProject Load (1.0ms)[0m   [0;1mSELECT `projects`.* FROM `projects` INNER JOIN `members` ON `projects

`.id = `members`.project_id WHERE ((`members`.user_id = 11) AND ((projects.status=1))) [0m

Filter chain halted as [:find_project] rendered_or_redirected.

Completed in 40ms (View: 33, DB: 1) | 404 Not Found [http://172.20.1.112/time_entries/2830/edit?issue_id=2830]

#6 - 2010-11-16 18:35 - Jean-Philippe Lang

This problem can not be reproduced with 1.0.3. The URL for logging time on an issue should be: /issues/52/time_entries/new. Please make sure that

you don't have any plugin that override the issue view.

#7 - 2010-11-17 12:42 - Karl Baase

Jean-Philippe Lang wrote:

This problem can not be reproduced with 1.0.3. The URL for logging time on an issue should be: /issues/52/time_entries/new. Please make sure

that you don't have any plugin that override the issue view.

 How can I make this sure? If there is a plugin installed in the old version, how can i deactivate that.

Looking into http://www.redmine.org/boards/4/topics/15978

db:migrate:plugin NAME=blah VERSION=0

would do the job?

Since I am not a Ruby developer, the question remains, if the view override your talking about is happening in the database or in code, and if how I

can stop this from happening.
Thanks in advance.

#8 - 2010-11-23 15:36 - Karl Baase

- Status changed from New to Resolved

If I do not update the plugin directory with the files from the old installation, the upgrade process works just fine. Running now without any problems.

Thanks for you support.

#9 - 2010-11-24 10:28 - Felix Schäfer

- Status changed from Resolved to Closed

- Resolution set to Invalid

Glad you got it sorted out, and thanks for the feedback.
